pfsintiff(1)

NAME
pfsintiff - Load images or frames in several variants of TIFF format (both LDR and HDR)

SYNOPSIS
pfsintiff (<file> [--linear] [--frames <range>] [--skip-missing]) [<file>...]

DESCRIPTION
pfsintiff command loads images in TIFF format and writes pfs stream to the Standard Output. The pfs stream is usually piped to another program for further processing. To detect the format automatically based on the extension, use pfsin command.

Both the standard LDR tiff and extended HDR (logLuv encoding http://www.anyhere.com/gward/pixformat/tiffluv.html); Note that both LDR and HDR tiff files provide photometric data (ie linearly related to luminance). The 'LUMINANCE' tag is set to 'RELATIVE', also the '--linear' switch is ignored.

To read images from standard input use a single dash '-' instead of filename. The images are read until EOF is reached.

Each file can contain a %d pattern, which is substituted with frame numbers. The pattern has the same syntax as C printf command. For example, you can use %04d to make the frame number four digit with proceedings zeros. You can select the frames using the following options (the options must be always given after the file name):

--frames <range>
    Range is given in mathlab / octave format:

    startframe:step:endframe

    Frame numbers start with startframe (default 0), are increased by step (default 1) and stop at endframe You can skip one of those values, for example 1:100 for frames 1,2,...,100 and 0:2: for frame 0,2,4,... up to the last file that exists.

--skip-missing
    Skip up to ten frames in a row if corresponding files are missing. Otherwise the program stops reading sequence at the first file that does not exists. This switch does not apply to the first frame in a sequence. This switch can be useful if there is a rendered animation where some of the frame has not been generated.

--linear
    Ignored for compatibility with pfsinppm.

EXAMPLES

pfsintiff frame%04d.tif --frames 0:10 | pfsview

    Read frames from files frame0000.tif, frame0001.tif, ..., frame0010.tif and show them using pfsview.

BUGS
Please report bugs and comments on implementation to the discussion group http://groups.google.com/group/pfstools

SEE ALSO
pfsin(1), pfsout(1)